## python-tiered-debug 1.4.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = tiered-debug
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
sphinx>=4.0
sphinx-rtd-theme>=1.0

## python-tiered-debug 1.0.0

=== debian/changelog ===
python-tiered-debug (1.0.0-2) unstable; urgency=medium

  * Teamp upload
  * Re-upload as source-only

 -- Alexandre Detiste <tchet@debian.org>  Sat, 28 Jun 2025 22:53:54 +0200

python-tiered-debug (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1101911)

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Wed, 02 Apr 2025 11:15:49 +0200

=== debian/control ===
Source: python-tiered-debug
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Karsten Schöke <karsten.schoeke@geobasis-bb.de>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-hatchling,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/untergeek/tiered-debug
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tiered-debug
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tiered-debug.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-tiered-debug
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: Python logging helper module that allows multiple levels
 This module provides a way to enable multiple tiers of debug logging.
 It's not doing anything fancy.
 It's just a wrapper around a standard logger.debug()
 call that caps the highest tier of debug logging to a value which can
 be set via the environment variable TIERED_DEBUG_LEVEL at runtime,
 which has a default of 1, but can be set to any value between 1 and 5.
 It can also be set interactively via the set_level() function.

## python-tiered-debug 1.3.0

=== debian/changelog ===
python-tiered-debug (1.3.0-1) unstable; urgency=medium

  * [a2f3d02] New upstream version 1.3.0
  * [cad2983] d/control, insert Multi-Arch: foreign
  * [ac25cd6] d/watch: switch to version 5.
  * [874e07d] d/control: Drop Rules-Requires-Root: no, default since dpkg 1.22.13
  * [528a7ba] Insert fix_debug_handler_tests.patch

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Thu, 02 Oct 2025 20:02:41 +0200

=== debian/watch ===
version=5

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/untergeek/tiered-debug.git \
      refs/tags/@ANY_VERSION@

## python-tiered-debug 1.3.1

=== debian/changelog ===
python-tiered-debug (1.3.1-1) unstable; urgency=medium

  * [df15b02] New upstream version 1.3.1
  * [ea2e868] Drop fix_debug_handler_tests.patch, applied upstream.

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Sat, 04 Oct 2025 09:22:40 +0200

## python-tiered-debug 1.4.0

=== debian/changelog ===
python-tiered-debug (1.4.0-1) unstable; urgency=medium

  * [b514beb] New upstream version 1.4.0

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Wed, 08 Oct 2025 14:55:55 +0200

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
 Homepage: https://github.com/untergeek/tiered-debug
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tiered-debug
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tiered-debug.git
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-tiered-debug
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${python3:Depends},
 Recommends: ${python3:Recommends},

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=tiered-debug

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=5
+version=4
 
 opts="mode=git, \
       compression=gz, \
